#
# spec file for package python-kerberos
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-kerberos
Version:        1.2.2
Release:        7.1
Summary:        Kerberos high-level interface
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.calendarserver.org/
Source:         https://pypi.python.org/packages/source/k/kerberos/kerberos-%{version}.tar.gz
Patch1:         0001-Initialise-pydelegatestate-variable-to-NULL.patch
BuildRequires:  krb5-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
A high-level wrapper for Kerberos (GSSAPI) operations.
The goal is to avoid having to build a module that wraps
the entire Kerberos.framework, and instead offer a limited set of
functions that do what is needed for client/server Kerberos
authentication based on <http://www.ietf.org/rfc/rfc4559.txt>.

%prep
%setup -q -n kerberos-%{version}
%patch1 -p1

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitearch}/*

%changelog
* Wed Jul 15 2015 hguo@suse.com
- Add: 0001-Initialise-pydelegatestate-variable-to-NULL.patch
  Fix segmentation fault in authGSSClientInit caused by a NULL value
  of pydelegatestate.
* Fri May 29 2015 hguo@suse.com
- New package.
